Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160941 - Gives wrong error message when using ftp as source
Summary: Gives wrong error message when using ftp as source
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 00:22 UTC by Amadeus
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-25 11:33:33 UTC


Attachments (Terms of Use)
log file from ftp server (deleted)
2005-06-20 16:27 UTC, Amadeus
no flags Details

Description Amadeus 2005-06-19 00:22:59 UTC
Description of problem:
When FTP is used for the source of packages, and there arises an error, the
error message refures to corrupted RPM packages are corrupted CD's.

The error that was written in the second (?) textmode screen was:
*IOError 4 occurred getting IOError [Errno ftp error] (111, 'connection refused')

If I kept pressing "retry" the packages got installed.

Would logs from the ftp server be interesting?

Comment 1 Chris Lumens 2005-06-20 15:51:36 UTC
Yes, a sample of the transfer logs from your ftp server would be helpful in
seeing what's going on.

Comment 2 Amadeus 2005-06-20 16:27:31 UTC
Created attachment 115701 [details]
log file from ftp server

Examples of files that anaconda clamed were corrent or the CD media was
corrupt.

net-tools-1.60-52.i386.rpm
authconfig-4.6.12-1.i386.rpm
finger-0.17-28.i386.rpm

Keep pressing Retry "fixed" the problem.

The files have correct sha1sum.

Installing FC4 using http with the same files worked.

Comment 3 Christian Iseli 2007-01-22 10:17:37 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 4 Amadeus 2007-01-25 11:33:33 UTC
I don't have FC4 anymore. What resolution should I set the bug to when I close it?


Note You need to log in before you can comment on or make changes to this bug.